<?php
require(__DIR__.'/../bootstrap.php');

$config=require(__DIR__.'/../config.php');

//pass cmd line args
if($argc<3){
    die(basename(__FILE__)." <USER> <REPO> [debug]\n");
}
$debug = ($argc==4 && $argv[3]=='debug');

//open connection and repo
$client=new Client($config['url'],$config['user'],$config['pass'],$debug);
$repo=$client->getRepo($argv[1],$argv[2]);

//get the test label or create if not exist
if(!$label=$repo->getLabelByName('Test')){
	$label=$repo->createLabel(['name'=>'Test','color'=>'#336699']);
}

//create a test issue
$issue=$repo->createIssue([
  'title'=>'Test',
  'body'=>'Just testing'
]);
$issue->addLabel($label);
$issue->addComment('Test comment');
$issue->save();

//change the issue body
$issue->body.=' (Edited!)';
$issue->save();
